Bug 548464 - [abrt] crash detected in python-twisted-words-8.2.0-3.fc12
Summary: [abrt] crash detected in python-twisted-words-8.2.0-3.fc12
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-twisted-words
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Vander Stichele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5b92427e
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-17 14:25 UTC by Shreyank Gupta
Modified: 2010-09-23 20:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 101
Environment:
Last Closed: 2010-09-23 20:40:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (743 bytes, text/plain)
2009-12-17 14:25 UTC, Shreyank Gupta
no flags Details

Description Shreyank Gupta 2009-12-17 14:25:39 UTC
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB5b92427e pygtk.py:85:require:AssertionError: required version '1.2' not found on system

Traceback (most recent call last):
  File "/usr/bin/im", line 21, in <module>
    im.run()
  File "/usr/lib/python2.6/site-packages/twisted/words/scripts/im.py", line 13, in run
    from twisted.internet import gtkreactor
  File "/usr/lib/python2.6/site-packages/twisted/internet/gtkreactor.py", line 23, in <module>
    pygtk.require('1.2')
  File "/usr/lib/python2.6/site-packages/pygtk.py", line 85, in require
    "required version '%s' not found on system" % version
AssertionError: required version '1.2' not found on system

Local variables in innermost frame:
version: 1.2
versions: {'2.0': '/usr/lib/python2.6/site-packages/gtk-2.0'}

cmdline: /usr/bin/python /usr/bin/im README 
component: python-twisted-words
executable: /usr/bin/im
kernel: 2.6.32-0.51.rc7.git2.fc13.i686.PAE
package: python-twisted-words-8.2.0-3.fc12
uuid: 5b92427e

Comment 1 Shreyank Gupta 2009-12-17 14:25:42 UTC
Created attachment 379006 [details]
File: backtrace

Comment 2 Thomas Vander Stichele 2010-05-24 10:36:07 UTC
Hm, so it's shipping a script that requires pygtk 1.2 and is 6 years old.  I'll check with twisted guys if they think that's worth keeping.

Comment 3 Julian Sikorski 2010-09-23 20:40:50 UTC
as of 10.1.0-1.fc14, im is no longer shipped. Closing.


Note You need to log in before you can comment on or make changes to this bug.